CRYSTAL-SPEC(1)

NAME
crystal-spec - Compile and run Crystal spec files

SYNOPSIS

crystal spec [options] [files]

OPTIONS

-d, --debug
    Generate the output with symbolic debug symbols. These are read when debugging the built program with tools like lldb, gdb, valgrind etc. and provide mappings to the original source code for those tools.

--no-debug
    Generate the output without any symbolic debug symbols.

-D FLAG, --define FLAG
    Define a compile-time flag. This is useful to conditionally define types, methods, or commands based on flags available at compile time. The default flags are from the target triple given with --target-triple or the hosts default, if none is given.

--error-trace
    Show full error trace.

-O LEVEL
    Optimization mode: 0 (default), 1, 2, 3. See OPTIMIZATIONS for details.

--release
    Compile in release mode. Equivalent to -O3 --single-module

-s, --stats
    Print statistics about the different compiler stages for the current build. Output time and used memory for each compiler process.

-p, --progress
    Print statistics about the progress for the current build.

-t, --time
    Print statistics about the execution time.

--no-color
    Disable colored output.